Bug 169972 - Review Request: qalculate-gtk - gtk+ gui frontends to qalculate
Review Request: qalculate-gtk - gtk+ gui frontends to qalculate
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://qalculate.sourceforge.net/
:
Depends On: 169971
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-05 20:01 EDT by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 16:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing some of the issues below (2.96 KB, patch)
2005-10-11 09:13 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Comment 1 Paul Howarth 2005-10-10 09:56:08 EDT
Currently can't get a connection to this server.
Comment 2 Deji Akingunola 2005-10-10 11:28:36 EDT
(In reply to comment #1)
> Currently can't get a connection to this server.

Please try again, should be o.k. now
Comment 3 Paul Howarth 2005-10-10 11:38:03 EDT
Whilst this bugzilla entry includes spec files for qalculate-gtk and
qalculate-kde, the SRPMs are both for qalculate-gtk. Please raise a separate
bugzilla entry for qalculate-kde since it's actually a separate package, then
remove the reference to qalculate-kde from the title of this entry. The new bug
should depend on bug 169971, like this one does. The two packages can then be
reviewed and approved separately.
Comment 4 Deji Akingunola 2005-10-10 12:21:18 EDT
(In reply to comment #3)

Following your suggestion, I have created a new entry for qalculate-kde (bug
#170296), and change this to be solely for qalculate-gtk. The spec and srpm
files are still here;
Spec Name or Url: ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk.spec
SRPM Name or Url:
ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk-1.8.1-1.src.rpm
Comment 5 Paul Howarth 2005-10-11 09:13:15 EDT
Created attachment 119801 [details]
Patch addressing some of the issues below

Just a first pass, not a review:

* Upstream version 0.8.2 is now available

* Redundant buildreqs:
- pkgconfig is a dep of glib2-devel
- glib2-devel is a dep of gtk2-devel
- gtk2-devel and libxml2-devel are deps of libglade2-devel

* configure script looks for libgnome-devel and uses it if available, so it
  should be added as a buildreq

* Availability of gnome-vfs means that wget shouldn't be needed (gnomevfs-copy
  is used in preference)

* Why the buildreq of ImageMagick? It seems to build just fine without it

* Is LDFLAGS='-export-dynamic' really needed? This linker option appears to be
  set automatically with libgnome-devel as a buildreq.

* I can't get the help to work; yelp complains about null references. Does it
  work for you?
Comment 6 Deji Akingunola 2005-10-11 11:11:34 EDT
Package have been updated to the new released version, and desktop file installe.
ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk.spec
ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk-1.8.2-1.src.rpm.

Paul,
LDFLAGS='-export-dynamic' used to be needed for the version of libglade in
rawhide. It's now included in the configuration option upstream, so I've dropped
it. Also just noticed yelp complaint, it's there in the updated version too. I
honestly don't know what to do about that. I'll try nd concact the author.
Comment 7 Deji Akingunola 2005-10-11 11:14:55 EDT
I'm just now noticing Paul's patch to clean up the spec. I'll work on it later
today. 
Comment 9 Paul Howarth 2005-10-13 10:47:10 EDT
URL for SRPM is actually:
ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk-0.8.2-2.src.rpm

Explicit Requires: for gnome-vfs2 & libqalculate are not needed because RPM will
add the library dependencies automatically.

The files list still includes:
%{_datadir}/qalculate-gtk/glade
which should be:
%{_datadir}/qalculate-gtk/
otherwise the %{_datadir}/qalculate-gtk directory will be left by RPM if the
package is removed.

Have you had any feedback regarding the yelp issue?
Comment 10 Deji Akingunola 2005-10-13 18:14:15 EDT
(In reply to comment #9)
New files with corrections here;
ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk.spec
ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk-0.8.2-3.src.rpm

> 
> Have you had any feedback regarding the yelp issue?

I've submitted a bug report for it at the project's sourceforge site, no
response yet.

Comment 11 Deji Akingunola 2005-10-13 18:55:00 EDT
(In reply to comment #10)

> > 
> > Have you had any feedback regarding the yelp issue?
> 
> I've submitted a bug report for it at the project's sourceforge site, no
> response yet.
> 
Spoke too soon, bug has been fixed. New package with the fix uploaded
ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk.spec
ftp://czar.eas.yorku.ca/pub/qalculate/qalculate-gtk-0.8.2-4.src.rpm


Comment 12 Paul Howarth 2005-10-14 11:09:51 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is GPL, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock for FC4 (i386)
- BR's OK
- %find_lang used for locale data
- no libraries, pkgconfigs or subpackages to worry about
- not relocatable
- no directory ownership or permissions problems
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- documentation not excessively large
- docs don't affect runtime, other than online help not working if --excludedocs
is used
- desktop file installed properly
- package appears to function correctly
- scriptlets for scrollkeeper-update appear sane
- all previously-mentioned issues addressed

Approved.

Note You need to log in before you can comment on or make changes to this bug.